variables:
  NAMESPACE: '{{ namespace }}'
  OPENSHIFT_SERVER: '{{ openshift_public_hostname }}'

stages:
  - deploy

deploy_dev:
  stage: deploy
  environment: dev
  image: gitlab-registry.cern.ch/paas-tools/openshift-client:latest
  script:
    - oc start-build drupal-builder --from-dir=. --token=${SERVICE_ACCOUNT_TOKEN} --server=${OPENSHIFT_SERVER} -n ${NAMESPACE} --follow
  variables:
    TOKEN: ${SERVICE_ACCOUNT_TOKEN}